Welcome

The M9217A PXIe 2-CH Digitizer is predominantly controlled using its driver APIs due to its inherent usage in automated environments. The M9217A PXIe 2-CH Digitizer Soft Front Panel (SFP) is provided as a learning tool to help you experience the module's capability and behavior through a useful interactive graphical interface for controlling and/or simulating the module. The SFP helps you with the following tasks:

  • Verify that the module is properly installed and working in your system — important when a module is installed for the very first time

  • Learn about the module capability and behavior through interactive use

  • Learn how to program the instrument

  • Verify and debug your system

The M9217A Startup Guide provides instructions for installing the SFP. After the SFP is installed, you can launch it from the Start > All Programs > Keysight Technologies program group, or from the relevant module node in the Keysight Connection Expert software.

Contact Keysight Technologies

© Keysight Technologies 2015
Edition 1, October 1, 2015


Getting Started

You can launch the M9217A PXIe 2-CH Digitizer SFP interface from the Start > All Programs > Keysight Technologies program group on your computer. This action opens a dialog box listing the connected modules that are supported by the software driver.

Select a module from the list and click Connect. This will then open up the SFP interface of the selected module.

NOTE
Enabling Simulation Mode will allow you access to the SFP without the presence of the actual module.


SFP Tour

The SFP provides an easy-to-use interface for controlling the M9217A as shown in the following figure:

No. Item Description
1 Menu bar

  • The File menu consists of the following functions:

  • Connect: Opens the Connect to Instrument dialog. This dialog also appears when you launch the SFP.

  • Exit: Exits the SFP.

  • The View menu consists of the following function:

  • Preferences: Allows you to select the color scheme (Platinum or Midnight) and font size of the SFP text (Small, Normal, or Large).

  • The Utilities menu consists of the following functions:

  • Reset: Resets the M9217A to default.

  • Graph...: Allows you to select the background color (black or white) for the graph. Click on Reset... to clear the graph and reset the graph settings.

  • The Tools menu consists of the following function:

  • Monitor Driver Calls: Opens the Driver Call Log dialog showing the driver calls made by the SFP for controlling the instrument.

  • The Help menu consists of the following functions:

  • Contents: Opens this help file.

  • Driver Help: Opens the help file for the instrument driver.

  • Online Support: Opens the Keysight Web support site for this instrument.

  • About: Opens the About dialog, which shows Soft Front Panel version and instrument driver information.
2

Tabbed page

  • The Configure Digitizer tab allows you to set and apply the configuration for Channels, Acquisition and Trigger Source.

  • The Acquire Data tab allows you to set how you would like to view the graph based on the acquired data.
3

Status bar

  • The connection status shows the following address of the currently connected module to the SFP or Simulation Mode (if the simulation mode is enabled). Click on the connection status to bring up the Connect to Instrument dialog box.

Connected

Simulation

  • The measurement status shows status of the measurement.

  • The acquisition status shows status of the acquisition.

  • The error status shows Error to indicate errors or No Error. Click on the error status to bring up the Errors dialog box.


Connect to a Module

Click File > Connect to open the Connect to Instrument dialog box.

Select a module from the list and click Connect.


Reset a Module to its Default Factory Settings

Click Utility > Reset to reset the M9217A to its default factory settings.


Configure the Digitizer

Configure the digitizer with the Channels, Acquisition, and Trigger Source options.


Configure the Channels

Select from the Range the absolute value of the input voltage the digitizer can acquire for Channel1 and Channel2. For example, to acquire a sine wave spanning -128 V to 128 V, set Range to 256 V. There are 11 input voltage values available in the Range. Click the [image] button and select one of the following options:

Select the Coupling to one of the following for Channel1 and Channel2:

  • AC coupling (blocks any DC component of the input signal) or
  • DC coupling (allows the entire signal, including any DC component to be sampled)

Click the [image] button and select one of the following options:

Select the digital input Filter for Channel1 and Channel2. The three filters available are by pass, low pass 200 kHZ, and low pass 2 MHz. Click the [image] button and select one of the following options:


Configure the Acquisition

The following figure shows the Acquisition controls and the table below describes each control.

No. | Item | Description
1 | Sample Rate | Select the Sample Rate per second. There are 14 sample rates available. Click the [image] button and select one option.
2 | Records | Enter the Records specifying the number of waveform records to acquire. One waveform record is acquired for each recognized trigger. Decimals are not allowed. NOTE The digitizer only accepts 1 record when Trigger Source is Immediate.
3 | Record Size | Enter the Record Size specifying the number of samples to acquire in each waveform record. The maximum Record Size = 32 MSa / Records.


Configure the Trigger Source

Select the Trigger Source. There are 15 trigger sources available. Click the [image] button and select one of the following options:

Display Description

Immediate - Digitizer triggers immediately without waiting for any event.

  • The following Trigger Sources will display the Delay, Hold Off, PreTrigger Sample, and Output Destination controls:

    • External - Digitizer monitors for the trigger event from the "Ext Trig" front connector.

    • PXI_STAR - Digitizer monitors for the trigger event from the PXI backplane Star Interface.

    • PXI_TRIG0 - Digitizer monitors for the trigger event from the PXI backplane Trigger Bus Line 0.

    • PXI_TRIG1 - Digitizer monitors for the trigger event from the PXI backplane Trigger Bus Line 1.

    • PXI_TRIG2 - Digitizer monitors for the trigger event from the PXI backplane Trigger Bus Line 2.

    • PXI_TRIG3 - Digitizer monitors for the trigger event from the PXI backplane Trigger Bus Line 3.

    • PXI_TRIG4 - Digitizer monitors for the trigger event from the PXI backplane Trigger Bus Line 4.

    • PXI_TRIG5 - Digitizer monitors for the trigger event from the PXI backplane Trigger Bus Line 5.

    • PXI_TRIG6 - Digitizer monitors for the trigger event from the PXI backplane Trigger Bus Line 6.

    • PXI_TRIG7 - Digitizer monitors for the trigger event from the PXI backplane Trigger Bus Line 7.

    • PXIe_DSTARB - Digitizer monitors for the trigger event from the PXI backplane Express DStar Line B.

This section further describes the Delay, Hold Off, PreTrigger Sample, and Output Destination controls:

Trigger Source controls

Software - Digitizer triggers only when a software command is given.

NOTE
Upon selecting Software, you are required to click the Trigger button in the Acquire Data tab.

Selecting Software will display the following controls:

  • Delay

  • Hold Off

  • Output Destination

This section further describes the Delay, Hold Off, and Output Destination controls:

Trigger Source controls

Channel1 or Channel2 enables the digitizer to monitor the trigger event from the channel1 or channel2 input signal. The two channel trigger source types are Window and Edge.

Selecting Channel1 or Channel2 with Edge triggering will display the following controls:

  • Delay

  • Hold Off

  • PreTrigger Sample

  • Output Destination

  • Source Type

    • Edge

      • Slope

        • Negative

        • Positive

      • Hysteresis

      • Level

This section further describes the above Trigger Source controls:

Trigger Source controls

Channel1 or Channel2 enables the digitizer to monitor the trigger event from the Channel1 or Channel2 input signal. The two channel trigger source types are Window and Edge.

Selecting Channel1 or Channel2 with Window triggering will display the following controls:

  • Delay

  • Hold Off

  • PreTrigger Sample

  • Output Destination

  • Source Type

    • Window

      • Condition

        • Entering

        • Leaving

      • Low Level

      • High Level

This section further describes the above Trigger Source controls:

Trigger Source controls

The table below describes the following controls:

Control | Description
Delay | Specifies the length of time from the trigger event to the first point in the waveform record.
Hold Off | Specifies the length of time the digitizer waits after it detects a trigger event until the next trigger event is detected. Hold off only applies when Records are greater than 1.
PreTrigger Sample | Specifies the number of samples that must be collected before a trigger event is recognized.
Output Destination Specifies whether or not an accepted trigger appears at an output destination of the digitizer. Output destination can be either one of the following:
  • External
  • PXI_TRIG0
  • PXI_TRIG1
  • PXI_TRIG2
  • PXI_TRIG3
  • PXI_TRIG4
  • PXI_TRIG5
  • PXI_TRIG6
  • PXI_TRIG7
  • OFF (Choose Off to turn off the output destination)
Source Type | Specifies the two channel trigger source types, Window and Edge.
Slope Specifies whether a rising or a falling edge triggers the digitizer. Refer to the edge triggering diagram on the right.

NOTE
Only applicable for the channel trigger with the source type Edge.
Hysteresis Specifies the trigger hysteresis. Refer to the edge triggering diagram on the right.

NOTE
Only applicable for the channel trigger with the source type Edge.
Level Specifies the voltage threshold. Refer to the edge triggering diagram on the right.

NOTE
Only applicable for the channel trigger with the source type Edge.
Condition Specifies whether a signal that is entering or leaving the voltage window defined by the high and low thresholds triggers the digitizer. Refer to the window triggering diagram on the right.

NOTE
Only applicable for the channel trigger with the source type Window.
Low Level Specifies the low window threshold voltage. Refer to the window triggering diagram on the right.

NOTE
Only applicable for the channel trigger with the source type Window.
High Level Specifies the high window threshold voltage. Refer to the window triggering diagram on the right.

NOTE
Only applicable for the channel trigger with the source type Window.


Apply the Configuration

Click the [image] button to apply the configuration.

NOTE
When there are changes in the configuration, but the changes are not saved, a Configuration not saved! message will be displayed in the Acquire Data tab.


Acquire the Data

The Acquire Data tab displays the digitizer configuration data.

No. | Item | Description
1 Acquire tool box

  • The [image] button initiates a single acquisition and fetches data.

  • The [image] button continuously initiates acquisitions and fetches data.

  • The [image] button aborts the current acquisition.

  • The [image] button sends a software trigger and works on the Software Trigger Source.

  • The [image] button clears the Graph.

  • The [image] button fetches present data without initiating acquisitons.

  • The [image] button allows you to view the measurements as a result of the acquired data. Click the [image] button to display the
    Waveform Measurement...     dialog as shown below.

  • The [image] button saves the acquired data onto your computer. Click the [image] button to display the Fetch and Save Data... dialog as shown below.
2 | Graph | Displays graph showing the acquired data.
3 Graph horizontal panel

  • Horizontal Scale

  • Horizontal Offset — Allows you to key in the Horizontal Offset value.
4 | Record | Allows you to specify the number of records to display.
5 Graph Channel1 vertical panel

  • Check/Uncheck the Channel1 checkbox to acquire/not acquire the data.

  • Check/Uncheck the Channel1 checkbox to show/hide the graph.

  • Increment or decrement the vertical scale.

  • Increase or decrease the vertical position.
6 Graph Channel2 vertical panel

  • Check/Uncheck the Channel2 checkbox to acquire/not acquire the data.

  • Check/Uncheck the Channel2 checkbox to show/hide the graph.

  • Increment or decrement the vertical scale.

  • Increase or decrease the vertical position.
7 | Channel1 or Channel2 marker | Displays the X and Y data for the point selected on the graph.
8 | AutoScale | Displays the fullform graph on the X and Y axis.


How to Configure and Acquire Multi Record Waveform

Configure a multi record waveform by entering more than 1 for the [image] control in the Configure Digitizer tab as shown below.

NOTE
Trigger Source must not be Immediate to configure a multi record waveform.

Acquire a multi record waveform by entering more than 1 for the [image] control in the Acquire Data tab as shown below.